# Logout a user

```
POST 
/jwt/logout
```

This endpoint will revoke and invalidate the specified user's session.

Following a request to this endpoint, user will shortly need to obtain a new set of session tokens (access and refresh) from your server via the [Authenticate endpoint](/2024-11-08/server/jwt-authenticate-user.md).

Note that this endpoint does not require authentication, so omit any authentication headers and only include your `refresh_token` in the request body.

## Request[​](#request "Direct link to request")

## Responses[​](#responses "Direct link to Responses")

* 204

The resource was deleted successfully.

## Operation spec

```json
{
  "method": "post",
  "path": "/jwt/logout",
  "operationId": "jwt-logout",
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "refresh_token": {
              "type": "string"
            }
          },
          "required": [
            "refresh_token"
          ]
        }
      }
    }
  },
  "responses": {
    "204": {
      "description": "The resource was deleted successfully."
    }
  }
}
```
